<!DOCTYPE html>
<html lang='en'>
<head>
  <meta charset='UTF-8'>
  <link rel="icon"
    href="https://dxstmhyqfqr1o.cloudfront.net/favicon/favicon.ico?hash=7472bcd86b79cfb44770181f8fc10d22f1ccdade">
  <link rel="shortcut icon"
    href="https://dxstmhyqfqr1o.cloudfront.net/favicon/favicon.ico?hash=7472bcd86b79cfb44770181f8fc10d22f1ccdade">
  <title>Widget Sample</title>

  <style>
    /* body { margin: 0; background: #E9EBEE; } */
    .btntest{
      display:inline-block;
      color:#444;
      border:1px solid #CCC;
      background:#DDD;
      box-shadow: 0 0 5px -1px rgba(0,0,0,0.2);
      cursor:pointer;
      vertical-align:middle;
      max-width: 100%;
      padding: 5px;
      text-align: center;
      position: relative;
      left:300px;
      top:20px;
    }
    .btntest:active{
      color:red;
      box-shadow: 0 0 5px -1px rgba(0,0,0,0.6);
    }

    @media (max-width: 392px){
      #sb_widget .chat-section .chat-board {
          margin-right: -15px !important;
      }
    }
  </style>
<script src="./node_modules/fbr/FileBufferReader.js"></script>

</head>
<body>

  <div style="  
    position: fixed;
    top: 0;
    left: 0;
    margin: 10px;
    color: #485874;
    font-size: 14px;
    ">Ver.0.17.0</div>
  <div class="btntest" id="btn_createchennel">Chat with venue</div>
  <div class="btntest" id="btn_createchennel2">Chat with venue</div>
  <span id="xxx"></span>
  <!-- <input type = "button"  id="btn_createchennel" value="testbutton"> -->
  <div id="sb_widget" ></div>
<!-- <img src="" id="imgtest"/> -->
</body>

<script src="SendBird.min.js"></script>
<script src="dist/widget.SendBird.js"></script>
<script>
  // var imgtest = document.getElementById("imgtest");
  // imgtest.setAttribute("src","/src/image/icon/user1.png");
  var userid = ['bitec'];
  var tagDiv = document.getElementById("btn_createchennel");
  var tagDiv2 = document.getElementById("btn_createchennel2");
  var urlimage = "https://www.hoteljob.in.th/premium/105746/img/img1.jpg";
  tagDiv.addEventListener("click", function(){
    //sbWidget._startnewchatselectuser();
    //sbWidget._startchatbyid(userid,urlimage);
    var channelUrl = "sendbird_group_channel_145882189_bec410727c9b2503492193ce113d61610396e2a2";
    //sbWidget._openlistchat(channelUrl);
    sbWidget._startchatbyid(["Foo"],"https://developer.android.com/guide/practices/ui_guidelines/images/NB_Icon_Mask_Shapes_Ext_02.gif");
  });

  tagDiv2.addEventListener("click", function(){
    //sbWidget._startnewchatselectuser();
    //sbWidget._startchatbyid(userid,urlimage);
    var channelUrl = "sendbird_group_channel_139098042_e47374596536c6ca3e2a751752412b4c335e5a6b";
    sbWidget._openlistchat(channelUrl);
  });
 // sbWidget.start('9DA1B1F4-0BE6-4DA8-82C5-2E81DAB56F23');
  sbWidget.startWithConnect('75DC34C9-03AE-4573-A69A-63FD75B7300E','centara','centara', function (e) {

    var sb = new SendBird({ appId:'75DC34C9-03AE-4573-A69A-63FD75B7300E'});
    var applicationUserListQueryByIds = sb.createApplicationUserListQuery();
    applicationUserListQueryByIds.userIdsFilter = ['centara'];
    applicationUserListQueryByIds.next(function(users, error) {
        if (error) {
          alert(error);
            return;
        }else{
          //console.log(users);
        }
    });
  //   setInterval(function(){
  //   sb.GroupChannel.getTotalUnreadMessageCount(unreadCount => {
  //     document.getElementById("xxx").innerHTML = unreadCount;
  //   });
  // },1000
  //   );
var UNIQUE_HANDLER_ID = "sendbird_group_channel_139098042_de084f971548517b5e87d7008a3bbf93819621eb";
var ChannelHandler = new sb.ChannelHandler();

ChannelHandler.onMessageReceived = function(channel, message) {
    //console.log(channel, message);
      sb.GroupChannel.getTotalUnreadMessageCount(unreadCount => {
      document.getElementById("xxx").innerHTML = unreadCount;
    });
};

sb.addChannelHandler(UNIQUE_HANDLER_ID, ChannelHandler);
    // console.log(channelHandler);
    // channelHandler.onChannelChanged = function (channel, message) {
    //   console.log(channel,message);
    //   //messageUpdatedFunc(channel, message);
    // };
  });

// var select_class = document.querySelector(".widget");

// select_class.classList.remove("widget");
// function xxx(){
//   alert('hiii');
// }

// function Goto(uri,process){
//     alert(uri+process);
//   }
</script>

</html>
